Index: /anuga_core/source/anuga/abstract_2d_finite_volumes/quantity.py
===================================================================
--- /anuga_core/source/anuga/abstract_2d_finite_volumes/quantity.py	(revision 5891)
+++ /anuga_core/source/anuga/abstract_2d_finite_volumes/quantity.py	(revision 5892)
@@ -15,6 +15,5 @@
 """
 
-from Numeric import array, zeros, Float, less, concatenate, NewAxis,\
-     argmax, argmin, allclose, take, reshape, alltrue
+import numpy
 
 from anuga.utilities.numerical_tools import ensure_numeric, is_scalar
@@ -38,7 +37,7 @@
         if vertex_values is None:
             N = len(domain) # number_of_elements
-            self.vertex_values = zeros((N, 3), Float)
+            self.vertex_values = numpy.zeros((N, 3), numpy.float)
         else:
-            self.vertex_values = array(vertex_values).astype(Float)
+            self.vertex_values = numpy.array(vertex_values).astype(numpy.float)
 
             N, V = self.vertex_values.shape
@@ -57,13 +56,13 @@
 
         # Allocate space for other quantities
-        self.centroid_values = zeros(N, Float)
-        self.edge_values = zeros((N, 3), Float)
+        self.centroid_values = numpy.zeros(N, numpy.float)
+        self.edge_values = numpy.zeros((N, 3), numpy.float)
 
         # Allocate space for Gradient
-        self.x_gradient = zeros(N, Float)
-        self.y_gradient = zeros(N, Float)
+        self.x_gradient = numpy.zeros(N, numpy.float)
+        self.y_gradient = numpy.zeros(N, numpy.float)
 
         # Allocate space for Limiter Phi
-        self.phi = zeros(N, Float)        
+        self.phi = numpy.zeros(N, numpy.float)        
 
         # Intialise centroid and edge_values
@@ -72,5 +71,5 @@
         # Allocate space for boundary values
         L = len(domain.boundary)
-        self.boundary_values = zeros(L, Float)
+        self.boundary_values = numpy.zeros(L, numpy.float)
 
         # Allocate space for updates of conserved quantities by
@@ -78,7 +77,7 @@
 
         # Allocate space for update fields
-        self.explicit_update = zeros(N, Float )
-        self.semi_implicit_update = zeros(N, Float )
-        self.centroid_backup_values = zeros(N, Float)
+        self.explicit_update = numpy.zeros(N, numpy.float )
+        self.semi_implicit_update = numpy.zeros(N, numpy.float )
+        self.centroid_backup_values = numpy.zeros(N, numpy.float)
 
         self.set_beta(1.0)
@@ -382,5 +381,4 @@
         from anuga.geospatial_data.geospatial_data import Geospatial_data
         from types import FloatType, IntType, LongType, ListType, NoneType
-        from Numeric import ArrayType
 
         # Treat special case: Polygon situation
@@ -448,5 +446,5 @@
 
         msg = 'Indices must be a list or None'
-        assert type(indices) in [ListType, NoneType, ArrayType], msg
+        assert type(indices) in [ListType, NoneType, numpy.ndarray], msg
 
 
@@ -458,5 +456,5 @@
                 self.set_values_from_constant(numeric,
                                               location, indices, verbose)
-            elif type(numeric) in [ArrayType, ListType]:
+            elif type(numeric) in [numpy.ndarray, ListType]:
                 self.set_values_from_array(numeric,
                                            location, indices, verbose)
@@ -474,6 +472,6 @@
                                                      use_cache=use_cache)
             else:
-                msg = 'Illegal type for argument numeric: %s' %str(numeric)
-                raise msg
+                msg = 'Illegal type for argument numeric: %s' % str(numeric)
+                raise TypeError, msg
 
         elif quantity is not None:
@@ -610,10 +608,8 @@
         """
 
-        from Numeric import array, Float, Int, allclose
-
-        values = array(values).astype(Float)
+        values = numpy.array(values).astype(numpy.float)
 
         if indices is not None:
-            indices = array(indices).astype(Int)
+            indices = numpy.array(indices).astype(numpy.int)
             msg = 'Number of values must match number of indices:'
             msg += ' You specified %d values and %d indices'\
@@ -640,8 +636,8 @@
 
         elif location == 'unique vertices':
-            assert len(values.shape) == 1 or allclose(values.shape[1:], 1),\
+            assert len(values.shape) == 1 or numpy.allclose(values.shape[1:], 1),\
                    'Values array must be 1d'
 
-            self.set_vertex_values(values.flat, indices=indices)
+            self.set_vertex_values(values.ravel(), indices=indices)
             
         else:
@@ -676,9 +672,8 @@
         A = q.vertex_values
 
-        from Numeric import allclose
         msg = 'Quantities are defined on different meshes. '+\
               'This might be a case for implementing interpolation '+\
               'between different meshes.'
-        assert allclose(A.shape, self.vertex_values.shape), msg
+        assert numpy.allclose(A.shape, self.vertex_values.shape), msg
 
         self.set_values(A, location='vertices',
@@ -716,5 +711,6 @@
                 indices = range(len(self))
                 
-            V = take(self.domain.get_centroid_coordinates(), indices)
+            V = numpy.take(self.domain.get_centroid_coordinates(), indices, axis=0)
+            print 'V=%s' % str(V)
             self.set_values(f(V[:,0], V[:,1]),
                             location=location,
@@ -780,6 +776,6 @@
 
 
-        points = ensure_numeric(points, Float)
-        values = ensure_numeric(values, Float)
+        points = ensure_numeric(points, numpy.float)
+        values = ensure_numeric(values, numpy.float)
 
         if location != 'vertices':
@@ -913,7 +909,7 @@
         # Always return absolute indices
         if mode is None or mode == 'max':
-            i = argmax(V)
+            i = numpy.argmax(V)
         elif mode == 'min':    
-            i = argmin(V)
+            i = numpy.argmin(V)
 
             
@@ -1118,6 +1114,4 @@
         """
         
-        from Numeric import take
-
         # FIXME (Ole): I reckon we should have the option of passing a
         #              polygon into get_values. The question becomes how
@@ -1143,7 +1137,7 @@
             raise msg
 
-        import types, Numeric
-        assert type(indices) in [types.ListType, types.NoneType,
-                                 Numeric.ArrayType],\
+        import types
+        
+        assert type(indices) in [types.ListType, types.NoneType, numpy.ndarray], \
                                  'Indices must be a list or None'
 
@@ -1151,9 +1145,9 @@
             if (indices ==  None):
                 indices = range(len(self))
-            return take(self.centroid_values,indices)
+            return numpy.take(self.centroid_values, indices, axis=0)
         elif location == 'edges':
             if (indices ==  None):
                 indices = range(len(self))
-            return take(self.edge_values,indices)
+            return numpy.take(self.edge_values, indices, axis=0)
         elif location == 'unique vertices':
             if (indices ==  None):
@@ -1178,9 +1172,9 @@
                     sum += self.vertex_values[triangle_id, vertex_id]
                 vert_values.append(sum/len(triangles))
-            return Numeric.array(vert_values)
+            return numpy.array(vert_values)
         else:
             if (indices is None):
                 indices = range(len(self))
-            return take(self.vertex_values, indices)
+            return numpy.take(self.vertex_values, indices, axis=0)
 
 
@@ -1196,8 +1190,6 @@
         """
 
-        from Numeric import array, Float
-
         # Assert that A can be converted to a Numeric array of appropriate dim
-        A = ensure_numeric(A, Float)
+        A = ensure_numeric(A, numpy.float)
 
         # print 'SHAPE A', A.shape
@@ -1273,7 +1265,4 @@
         """
 
-        from Numeric import concatenate, zeros, Float, Int, array, reshape
-
-
         if smooth is None:
             # Take default from domain
@@ -1284,5 +1273,5 @@
 
         if precision is None:
-            precision = Float
+            precision = numpy.float
             
 
@@ -1293,5 +1282,5 @@
             V = self.domain.get_triangles()
             N = self.domain.number_of_full_nodes # Ignore ghost nodes if any
-            A = zeros(N, Float)
+            A = numpy.zeros(N, numpy.float)
             points = self.domain.get_nodes()            
             
@@ -1343,5 +1332,5 @@
             V = self.domain.get_disconnected_triangles()
             points = self.domain.get_vertex_coordinates()
-            A = self.vertex_values.flat.astype(precision)
+            A = self.vertex_values.ravel().astype(precision)
 
 
Index: /anuga_core/source/anuga/abstract_2d_finite_volumes/quantity_ext.c
===================================================================
--- /anuga_core/source/anuga/abstract_2d_finite_volumes/quantity_ext.c	(revision 5891)
+++ /anuga_core/source/anuga/abstract_2d_finite_volumes/quantity_ext.c	(revision 5892)
@@ -11,5 +11,5 @@
 
 #include "Python.h"
-#include "Numeric/arrayobject.h"
+#include "numpy/arrayobject.h"
 #include "math.h"
 
Index: /anuga_core/source/anuga/abstract_2d_finite_volumes/region.py
===================================================================
--- /anuga_core/source/anuga/abstract_2d_finite_volumes/region.py	(revision 5891)
+++ /anuga_core/source/anuga/abstract_2d_finite_volumes/region.py	(revision 5892)
@@ -8,5 +8,7 @@
 # FIXME (DSG-DSG) add better comments
 
-from Numeric import average
+import numpy
+
+
 class Region:
     """Base class for modifying quantities based on a region.
@@ -101,7 +103,7 @@
                 values = Q.get_values(indices=self.build_indices(elements, domain),
                                       location=self.location)
-                av = average(values)
+                av = numpy.average(values)
                 if self.location == "vertices":
-                    av = average(av)
+                    av = numpy.average(av)
                 new_values = av + self.X    
             else:
Index: /anuga_core/source/anuga/abstract_2d_finite_volumes/show_balanced_limiters.py
===================================================================
--- /anuga_core/source/anuga/abstract_2d_finite_volumes/show_balanced_limiters.py	(revision 5891)
+++ /anuga_core/source/anuga/abstract_2d_finite_volumes/show_balanced_limiters.py	(revision 5892)
@@ -18,6 +18,5 @@
 
 from mesh_factory import rectangular
-from Numeric import array
-    
+
 
 ######################
@@ -78,6 +77,4 @@
 domain.set_quantity('stage', Z)
 
-from Numeric import allclose
-
 #Evolve
 for t in domain.evolve(yieldstep = 0.1, finaltime = 30):
Index: /anuga_core/source/anuga/abstract_2d_finite_volumes/test_domain.py
===================================================================
--- /anuga_core/source/anuga/abstract_2d_finite_volumes/test_domain.py	(revision 5891)
+++ /anuga_core/source/anuga/abstract_2d_finite_volumes/test_domain.py	(revision 5892)
@@ -6,5 +6,5 @@
 from domain import *
 from anuga.config import epsilon
-from Numeric import allclose, array, ones, Float
+import numpy
 
 
@@ -64,5 +64,5 @@
 
 
-        assert domain.get_conserved_quantities(0, edge=1) == 0.
+        assert numpy.alltrue(domain.get_conserved_quantities(0, edge=1) == 0.)
 
 
@@ -95,43 +95,43 @@
         #Centroids
         q = domain.get_conserved_quantities(0)
-        assert allclose(q, [2., 2., 0.])
+        assert numpy.allclose(q, [2., 2., 0.])
 
         q = domain.get_conserved_quantities(1)
-        assert allclose(q, [5., 5., 0.])
+        assert numpy.allclose(q, [5., 5., 0.])
 
         q = domain.get_conserved_quantities(2)
-        assert allclose(q, [3., 3., 0.])
+        assert numpy.allclose(q, [3., 3., 0.])
 
         q = domain.get_conserved_quantities(3)
-        assert allclose(q, [0., 0., 0.])
+        assert numpy.allclose(q, [0., 0., 0.])
 
 
         #Edges
         q = domain.get_conserved_quantities(0, edge=0)
-        assert allclose(q, [2.5, 2.5, 0.])
+        assert numpy.allclose(q, [2.5, 2.5, 0.])
         q = domain.get_conserved_quantities(0, edge=1)
-        assert allclose(q, [2., 2., 0.])
+        assert numpy.allclose(q, [2., 2., 0.])
         q = domain.get_conserved_quantities(0, edge=2)
-        assert allclose(q, [1.5, 1.5, 0.])
+        assert numpy.allclose(q, [1.5, 1.5, 0.])
 
         for i in range(3):
             q = domain.get_conserved_quantities(1, edge=i)
-            assert allclose(q, [5, 5, 0.])
+            assert numpy.allclose(q, [5, 5, 0.])
 
 
         q = domain.get_conserved_quantities(2, edge=0)
-        assert allclose(q, [4.5, 4.5, 0.])
+        assert numpy.allclose(q, [4.5, 4.5, 0.])
         q = domain.get_conserved_quantities(2, edge=1)
-        assert allclose(q, [4.5, 4.5, 0.])
+        assert numpy.allclose(q, [4.5, 4.5, 0.])
         q = domain.get_conserved_quantities(2, edge=2)
-        assert allclose(q, [0., 0., 0.])
+        assert numpy.allclose(q, [0., 0., 0.])
 
 
         q = domain.get_conserved_quantities(3, edge=0)
-        assert allclose(q, [3., 3., 0.])
+        assert numpy.allclose(q, [3., 3., 0.])
         q = domain.get_conserved_quantities(3, edge=1)
-        assert allclose(q, [-1.5, -1.5, 0.])
+        assert numpy.allclose(q, [-1.5, -1.5, 0.])
         q = domain.get_conserved_quantities(3, edge=2)
-        assert allclose(q, [-1.5, -1.5, 0.])
+        assert numpy.allclose(q, [-1.5, -1.5, 0.])
 
 
@@ -179,6 +179,6 @@
         Q = domain.create_quantity_from_expression(expression)
 
-        assert allclose(Q.vertex_values, [[2,3,4], [6,6,6],
-                                      [1,1,10], [-5, 4, 4]])
+        assert numpy.allclose(Q.vertex_values, [[2,3,4], [6,6,6],
+                                                [1,1,10], [-5, 4, 4]])
 
         expression = '(xmomentum*xmomentum + ymomentum*ymomentum)**0.5'
@@ -188,5 +188,5 @@
         Y = domain.quantities['ymomentum'].vertex_values
 
-        assert allclose(Q.vertex_values, (X**2 + Y**2)**0.5)
+        assert numpy.allclose(Q.vertex_values, (X**2 + Y**2)**0.5)
 
 
@@ -314,6 +314,6 @@
         Q = domain.quantities['depth']
 
-        assert allclose(Q.vertex_values, [[2,3,4], [6,6,6],
-                                      [1,1,10], [-5, 4, 4]])
+        assert numpy.allclose(Q.vertex_values, [[2,3,4], [6,6,6],
+                                                [1,1,10], [-5, 4, 4]])
 
 
@@ -382,5 +382,5 @@
         domain.check_integrity()
 
-        assert allclose(domain.neighbours, [[-1,-2,-3]])
+        assert numpy.allclose(domain.neighbours, [[-1,-2,-3]])
 
 
@@ -471,6 +471,6 @@
                                       [0,0,9], [-6, 3, 3]])
 
-        assert allclose( domain.quantities['stage'].centroid_values,
-                         [2,5,3,0] )
+        assert numpy.allclose( domain.quantities['stage'].centroid_values,
+                               [2,5,3,0] )
 
         domain.set_quantity('xmomentum', [[1,1,1], [2,2,2],
@@ -484,9 +484,9 @@
 
         #First order extrapolation
-        assert allclose( domain.quantities['stage'].vertex_values,
-                         [[ 2.,  2.,  2.],
-                          [ 5.,  5.,  5.],
-                          [ 3.,  3.,  3.],
-                          [ 0.,  0.,  0.]])
+        assert numpy.allclose( domain.quantities['stage'].vertex_values,
+                               [[ 2.,  2.,  2.],
+                                [ 5.,  5.,  5.],
+                                [ 3.,  3.,  3.],
+                                [ 0.,  0.,  0.]])
 
 
@@ -527,6 +527,6 @@
 
         for name in domain.conserved_quantities:
-            domain.quantities[name].explicit_update = array([4.,3.,2.,1.])
-            domain.quantities[name].semi_implicit_update = array([1.,1.,1.,1.])
+            domain.quantities[name].explicit_update = numpy.array([4.,3.,2.,1.])
+            domain.quantities[name].semi_implicit_update = numpy.array([1.,1.,1.,1.])
 
 
@@ -535,16 +535,16 @@
         domain.update_conserved_quantities()
 
-        sem = array([1.,1.,1.,1.])/array([1, 2, 3, 4])
-        denom = ones(4, Float)-domain.timestep*sem
+        sem = numpy.array([1.,1.,1.,1.])/numpy.array([1, 2, 3, 4])
+        denom = numpy.ones(4, numpy.float)-domain.timestep*sem
 
 #        x = array([1, 2, 3, 4]) + array( [.4,.3,.2,.1] )
 #        x /= denom
 
-        x = array([1., 2., 3., 4.])
+        x = numpy.array([1., 2., 3., 4.])
         x /= denom
-        x += domain.timestep*array( [4,3,2,1] )
+        x += domain.timestep*numpy.array( [4,3,2,1] )
 
         for name in domain.conserved_quantities:
-            assert allclose(domain.quantities[name].centroid_values, x)
+            assert numpy.allclose(domain.quantities[name].centroid_values, x)
 
 
@@ -578,6 +578,6 @@
                                       [0,0,9], [-6, 3, 3]])
 
-        assert allclose( domain.quantities['stage'].centroid_values,
-                         [2,5,3,0] )
+        assert numpy.allclose( domain.quantities['stage'].centroid_values,
+                               [2,5,3,0] )
 
         domain.set_quantity('xmomentum', [[1,1,1], [2,2,2],
@@ -591,9 +591,9 @@
 
         #First order extrapolation
-        assert allclose( domain.quantities['stage'].vertex_values,
-                         [[ 2.,  2.,  2.],
-                          [ 5.,  5.,  5.],
-                          [ 3.,  3.,  3.],
-                          [ 0.,  0.,  0.]])
+        assert numpy.allclose( domain.quantities['stage'].vertex_values,
+                               [[ 2.,  2.,  2.],
+                                [ 5.,  5.,  5.],
+                                [ 3.,  3.,  3.],
+                                [ 0.,  0.,  0.]])
 
         domain.build_tagged_elements_dictionary({'mound':[0,1]})
@@ -610,5 +610,4 @@
         from mesh_factory import rectangular
         from shallow_water import Domain
-        from Numeric import zeros, Float
 
         #Create basic mesh
@@ -627,5 +626,4 @@
         from mesh_factory import rectangular
         from shallow_water import Domain
-        from Numeric import zeros, Float
 
         #Create basic mesh
@@ -645,21 +643,21 @@
         domain.set_region([set_bottom_friction, set_top_friction])
         #print domain.quantities['friction'].get_values()
-        assert allclose(domain.quantities['friction'].get_values(),\
-                        [[ 0.09,  0.09,  0.09],
-                         [ 0.09,  0.09,  0.09],
-                         [ 0.07,  0.07,  0.07],
-                         [ 0.07,  0.07,  0.07],
-                         [ 1.0,  1.0,  1.0],
-                         [ 1.0,  1.0,  1.0]])
+        assert numpy.allclose(domain.quantities['friction'].get_values(),\
+                              [[ 0.09,  0.09,  0.09],
+                               [ 0.09,  0.09,  0.09],
+                               [ 0.07,  0.07,  0.07],
+                               [ 0.07,  0.07,  0.07],
+                               [ 1.0,  1.0,  1.0],
+                               [ 1.0,  1.0,  1.0]])
 
         domain.set_region([set_all_friction])
         #print domain.quantities['friction'].get_values()
-        assert allclose(domain.quantities['friction'].get_values(),
-                        [[ 10.09, 10.09, 10.09],
-                         [ 10.09, 10.09, 10.09],
-                         [ 10.07, 10.07, 10.07],
-                         [ 10.07, 10.07, 10.07],
-                         [ 11.0,  11.0,  11.0],
-                         [ 11.0,  11.0,  11.0]])
+        assert numpy.allclose(domain.quantities['friction'].get_values(),
+                              [[ 10.09, 10.09, 10.09],
+                               [ 10.09, 10.09, 10.09],
+                               [ 10.07, 10.07, 10.07],
+                               [ 10.07, 10.07, 10.07],
+                               [ 11.0,  11.0,  11.0],
+                               [ 11.0,  11.0,  11.0]])
 
 
@@ -670,5 +668,4 @@
         from mesh_factory import rectangular
         from shallow_water import Domain
-        from Numeric import zeros, Float
 
         #Create basic mesh
@@ -690,31 +687,31 @@
         
         #print domain.quantities['friction'].get_values()
-        assert allclose(domain.quantities['friction'].get_values(),\
-                        [[ 0.09,  0.09,  0.09],
-                         [ 0.09,  0.09,  0.09],
-                         [ 0.07,  0.07,  0.07],
-                         [ 0.07,  0.07,  0.07],
-                         [ 1.0,  1.0,  1.0],
-                         [ 1.0,  1.0,  1.0]])
+        assert numpy.allclose(domain.quantities['friction'].get_values(),
+                              [[ 0.09,  0.09,  0.09],
+                               [ 0.09,  0.09,  0.09],
+                               [ 0.07,  0.07,  0.07],
+                               [ 0.07,  0.07,  0.07],
+                               [ 1.0,  1.0,  1.0],
+                               [ 1.0,  1.0,  1.0]])
         
         domain.set_region([set_bottom_friction, set_top_friction])
         #print domain.quantities['friction'].get_values()
-        assert allclose(domain.quantities['friction'].get_values(),\
-                        [[ 0.09,  0.09,  0.09],
-                         [ 0.09,  0.09,  0.09],
-                         [ 0.07,  0.07,  0.07],
-                         [ 0.07,  0.07,  0.07],
-                         [ 1.0,  1.0,  1.0],
-                         [ 1.0,  1.0,  1.0]])
+        assert numpy.allclose(domain.quantities['friction'].get_values(),
+                              [[ 0.09,  0.09,  0.09],
+                               [ 0.09,  0.09,  0.09],
+                               [ 0.07,  0.07,  0.07],
+                               [ 0.07,  0.07,  0.07],
+                               [ 1.0,  1.0,  1.0],
+                               [ 1.0,  1.0,  1.0]])
 
         domain.set_region([set_all_friction])
         #print domain.quantities['friction'].get_values()
-        assert allclose(domain.quantities['friction'].get_values(),
-                        [[ 10.09, 10.09, 10.09],
-                         [ 10.09, 10.09, 10.09],
-                         [ 10.07, 10.07, 10.07],
-                         [ 10.07, 10.07, 10.07],
-                         [ 11.0,  11.0,  11.0],
-                         [ 11.0,  11.0,  11.0]])
+        assert numpy.allclose(domain.quantities['friction'].get_values(),
+                              [[ 10.09, 10.09, 10.09],
+                               [ 10.09, 10.09, 10.09],
+                               [ 10.07, 10.07, 10.07],
+                               [ 10.07, 10.07, 10.07],
+                               [ 11.0,  11.0,  11.0],
+                               [ 11.0,  11.0,  11.0]])
 
 #-------------------------------------------------------------
Index: /anuga_core/source/anuga/abstract_2d_finite_volumes/test_ermapper.py
===================================================================
--- /anuga_core/source/anuga/abstract_2d_finite_volumes/test_ermapper.py	(revision 5891)
+++ /anuga_core/source/anuga/abstract_2d_finite_volumes/test_ermapper.py	(revision 5892)
@@ -5,5 +5,5 @@
 
 import ermapper_grids
-import Numeric
+import numpy
 from os import remove
 
@@ -19,5 +19,5 @@
         data_filename = 'test_write_ermapper_grid'
         
-        original_grid = Numeric.array([[0.0, 0.1, 1.0], [2.0, 3.0, 4.0]])
+        original_grid = numpy.array([[0.0, 0.1, 1.0], [2.0, 3.0, 4.0]])
 
         # Check that the function works when passing the filename without
@@ -25,5 +25,5 @@
         ermapper_grids.write_ermapper_grid(data_filename, original_grid)
         new_grid = ermapper_grids.read_ermapper_grid(data_filename)
-        assert Numeric.allclose(original_grid, new_grid)
+        assert numpy.allclose(original_grid, new_grid)
 
         # Check that the function works when passing the filename with
@@ -31,5 +31,5 @@
         ermapper_grids.write_ermapper_grid(header_filename, original_grid)
         new_grid = ermapper_grids.read_ermapper_grid(header_filename)
-        assert Numeric.allclose(original_grid, new_grid)
+        assert numpy.allclose(original_grid, new_grid)
 
         # Clean up created files
@@ -40,14 +40,14 @@
         # Setup test data
         filename = 'test_write_ermapper_grid'
-        original_grid = Numeric.array([0.0, 0.1, 1.0, 2.0, 3.0, 4.0])
+        original_grid = numpy.array([0.0, 0.1, 1.0, 2.0, 3.0, 4.0])
 
         # Write test data
-        ermapper_grids.write_ermapper_data(original_grid, filename, Numeric.Float64)
+        ermapper_grids.write_ermapper_data(original_grid, filename, numpy.float64)
 
         # Read in the test data
-        new_grid = ermapper_grids.read_ermapper_data(filename, Numeric.Float64)
+        new_grid = ermapper_grids.read_ermapper_data(filename, numpy.float64)
 
         # Check that the test data that has been read in matches the original data
-        assert Numeric.allclose(original_grid, new_grid)
+        assert numpy.allclose(original_grid, new_grid)
 
         # Clean up created files
@@ -57,5 +57,5 @@
         # Setup test data
         filename = 'test_write_ermapper_grid'
-        original_grid = Numeric.array([0.0, 0.1, 1.0, 2.0, 3.0, 4.0])
+        original_grid = numpy.array([0.0, 0.1, 1.0, 2.0, 3.0, 4.0])
 
         # Write test data
@@ -66,5 +66,5 @@
 
         # Check that the test data that has been read in matches the original data
-        assert Numeric.allclose(original_grid, new_grid)
+        assert numpy.allclose(original_grid, new_grid)
 
         # Clean up created files
@@ -75,5 +75,5 @@
 
         # setup test data
-        original_grid = Numeric.array([[0, 1, 2, 3], [4, 5, 6, 7], [8, 9, 10, 11]])
+        original_grid = numpy.array([[0, 1, 2, 3], [4, 5, 6, 7], [8, 9, 10, 11]])
         # Write test data
         ermapper_grids.write_ermapper_data(original_grid, data_filename)
